Subject: bug#12194: closed (Re: bug#12194: Can you fix this bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Aug 2012 20:20:02 +0000

Your bug report

#12194: ls -L question

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12194: Can you fix this bug?
From: Eric Blake <[email-masked]>
To: "Overdorf, Sam" <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Aug 2012 14:11:11 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

retitle 12194 ls -L question
tag 12194 notabug
thanks

On 08/13/2012 01:39 PM, Overdorf, Sam wrote:
> When I run the command "ls -L file-name" I expect it to show me the name of the file the link is pointing at.
> I currently just returns the link name.

Thanks for the report.  However, this behavior is required by POSIX:

http://pubs.opengroup.org/onlinepubs/9699919799/utilities/ls.html

-L
    Evaluate the file information and file type for all symbolic links
(whether named on the command line or encountered in a file hierarchy)
to be those of the file referenced by the link, and not the link itself;
however, ls shall write the name of the link itself and not the file
referenced by the link. When -L is used with -l, write the contents of
symbolic links in the long format (see the STDOUT section).

> 
> This seems to have been broken for a while.

No, it's not broken.

> ls (coreutils) 5.2.1

That's old.  The latest version is 8.18.  While this particular issue is
not a bug, there have been other bugs fixed in ls in the meantime, so
you might want to consider upgrading.

I'm closing this bug, although you are still free to add further comments.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: Can you fix this bug?
From: "Overdorf, Sam" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 13 Aug 2012 19:39:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run the command "ls -L file-name" I expect it to show me the name of the file the link is pointing at.
I currently just returns the link name.

This seems to have been broken for a while.

ls (coreutils) 5.2.1
Written by Richard Stallman and David MacKenzie.

Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

I use RedHat 5.x RedHat 6.x.

Thanks,
Sam Overdorf
Intel Unix/LADV